Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. Database
  4. Get

Managed Service for MongoDB API, REST: Database.Get

Written by
Yandex Cloud
Updated at October 7, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the specified StoreDoc Database resource.
To get the list of available StoreDoc Database resources, make a List request.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/databases/{databaseName}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the StoreDoc cluster that the database belongs to.
To get the cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

databaseName

string

Required field. Name of the StoreDoc database to return.
To get the name of the database use a DatabaseService.List request.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "clusterId": "string",
  "deletionProtection": "boolean"
}

A StoreDoc Database resource. For more information, see the
Developer's Guide.

Field

Description

name

string

Name of the database.

clusterId

string

ID of the StoreDoc cluster that the database belongs to.

deletionProtection

boolean

Deletion Protection inhibits deletion of the database.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.